package com.wang.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;

@Controller
//@RequestMapping放在类上方  表示类中的所有控制器方法都是以该地址作为父路径。
/*//属性：
value/path:请求路径
method:指定请求方式 可以只是post 也可以只是get 也可以全部
params:规定必须发送的请求参数
headers:规定请求必须包含的请求头*/
@RequestMapping("/c1")
public class MyController3 {
    @RequestMapping(path = "/annotation1",
            method = {RequestMethod.GET, RequestMethod.POST},
            params = {"name"},
            headers = {"User-agent"})
    public String setRequestModel2(Model model) {
        model.addAttribute("name", "尚学堂");
        return "wang";
    }

    /*
    定义请求的参数名为username，默认值为sxt，不是必须的参数

    name：指定请求参数名称
    defaultValue： 为参数设置默认值
    required：设置是否是必须要传入的参数

    http://localhost:8080/c3/annotation2?username=bz
 */
    @RequestMapping("/annotation2")
    public String annotation2(@RequestParam(name = "username", defaultValue = "sxt", required = false) String name) {
        System.out.println(name);
        return "wang";
    }

    //@RequestHeader作用：在控制器方法中获取请求头数据
    //@CookieValue作用：在控制器方法中获取Cookie数据
    /*
2        获取User-Agent请求头
3        获取JSESSIONID的Cookie值
4     */
    @RequestMapping("/annotation3")
    public String annotation3(@RequestHeader("User-Agent") String userAgent, @CookieValue("JSESSIONID") String jSessionId) {
        System.out.println(userAgent);
        System.out.println(jSessionId);
        return "wang";
    }
}
