package com.wang.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.SessionAttributes;

import javax.servlet.http.HttpSession;
/*
    request域：在一个用户的一次请求中使用的数据
    session域：在一个用户的多次请求重复使用（当前用户重复的使用），如：登录用户信息、当前用户的菜单
 将模型中的name数据保存到session中*/
@Controller
@RequestMapping("/c4")
@SessionAttributes("name")
public class MyController4 {
    @RequestMapping("/t1")
    public String t1(Model model) {
        // model中保存name数据
        model.addAttribute("name", "北京尚学堂");
        return "wang";
    }

    @RequestMapping("/t2")
    public String t2(HttpSession session) {
        // 从session中获取name数据
        System.out.println(session.getAttribute("name"));
        return "wang";
    }
}
