package com.wang.controller;

import com.wang.domain.Result;
import com.wang.domain.Student;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;
/*如果一个控制器类下的所有控制器方法都返回JSON格式数据且不进行跳转，
可以使用@RestController代替@Controller，此时每个方法上的@ResponseBody都可以省略*/
//@Controller
@RestController
@RequestMapping("/c7")
public class MyController7 {
    @GetMapping("/addStudent")
    //@ResponseBody
    /*@ResponseBody作用：方法返回的对象转换为JSON格式，并将JSON数据直接写入到输出流中，使用此注解后不会再经过视图解析器。使用该注解可以处理Ajax请求。
    * 1.SpringMVC会将Result对象转为JSON格式写入输出流，而SpringMVC默认使用的JSON转换器是jackson，需要在pom中添加jackson依赖*/
    public Result addStudent(String name,String sex){
        //输出接收的参数，模拟添加学生
        System.out.println(name + ":" + sex);
        //返回一个结果对象  在浏览器控制台中显示
        Result result = new Result(true, "添加成功");
        return result;
    }
    @PostMapping("/addStudent2")
    //@RequestBody将请求中JSON格式的参数转为JAVA对象
    public Result addStudent2(@RequestBody Student student){
        //输出接收的参数，模拟添加学生
        System.out.println(student);
        //返回一个结果对象  在浏览器控制台中显示
        Result result = new Result(true, "添加成功");
        return result;
    }
}
