package com.wang.controller;



import com.wang.domain.Student;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

@Controller
@RequestMapping("/student")

/*@PathVariable 在RESTful风格的URL中获取占位符的值
 * value：获取哪个占位符的值作为参数值，如果占位符和参数名相同，可以省略该属性。*/

/*新增学生：POST http://localhost:8080/student/1?name=尚学堂&sex=男
        修改学生：PUT http://localhost:8080/student/1?name=尚学堂&sex=男
        删除学生：DELETE http://localhost:8080/student/1
        查询学生：GET http://localhost:8080/student/1*/
// 模拟学生的增删改查控制器
//测试需要四种请求方式 Postman软件可以提供
public class StudentController {
    // 路径中的{id}表示占位符，最后会封装到方法的参数中使用
    // 删除学生

//    @RequestMapping(value = "/{id}", method = RequestMethod.DELETE)
    @DeleteMapping("/{id}")
    public String deleteStudent(@PathVariable("id") int id) {
        System.out.println("删除id为" + id + "的学生");
        return "wang";
    }

    // 如果占位符和参数名相同，可以省略@PathVariable的value属性
    // 根据id查询学生
//    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
    @GetMapping("/{id}")
    public String findStudentById(@PathVariable int id) {
        System.out.println(id);
        System.out.println("根据id查询学生");
        return "wang";
    }

    // 新增学生
//    @RequestMapping(value = "/{id}", method = RequestMethod.POST)
    @PostMapping("/{id}")
    public String addStudent(@PathVariable int id, Student student) {
        System.out.println(id);
        System.out.println(student);
        System.out.println("新增学生");
        return "wang";
    }

    // 修改学生
//    @RequestMapping(value = "/{id}", method = RequestMethod.PUT)
    @PutMapping("/{id}")
    public String updateStudent(@PathVariable int id, Student student) {
        System.out.println(id);
        System.out.println(student);
        System.out.println("修改学生");
        return "wang";
    }
}
