package com.wang.converter;

import org.springframework.core.convert.converter.Converter;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
/*前端传来的参数全部为字符串类型，SpringMVC使用自带的转换器将字符串参数转为需要的类型
* 但在某些情况下，无法将字符串转为需要的类型
* 由于日期数据有很多种格式，SpringMVC没办法把所有格式的字符串转换成日期类型。比如参数格式为birthday=2025-01-01时，SpringMVC就无法解析参数。此时需要自定义参数类型转换器
* */
//自定义参数转换类型  需要在springConfig.xml里配置转换器工厂
public class DateConverter implements Converter<String, Date> {
    /**
     4     * 转换方法
     5     * @param source 转换前的数据
     6     * @return 转换后的数据
     7     */
    @Override
    public Date convert(String s) {
        SimpleDateFormat sdf=new SimpleDateFormat("yyyy-MM-dd");
        Date date=null;
        try {
             date = sdf.parse(s);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return date;
    }
}
